Package org.eclipse.net4j.db.ddl.delta

# Interface IDBFieldDelta

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBDelta`, `IDBDeltaWithPosition`, `IDBDeltaWithProperties`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.collection.PositionProvider`

public interface IDBFieldDelta extends IDBDeltaWithPosition

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`IDBDelta.ChangeKind, IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NOT_NULL_PROPERTY`
`static final String`
`PRECISION_PROPERTY`
`static final String`
`SCALE_PROPERTY`
`static final String`
`TYPE_PROPERTY`

### Fields inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithPosition

`POSITION_PROPERTY`

## Method Summary

Modifier and Type
Method
Description
`IDBTableDelta`
`getParent()`
`IDBField`
`getSchemaElement(IDBSchema schema)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`accept, getChangeKind, getDeltaType, getSchemaDelta`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithProperties

`getPropertyDelta, getPropertyDeltas, getPropertyDeltasSortedByName, getPropertyValue, getPropertyValue`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

`getPosition`

## Field Details

### TYPE_PROPERTY

static final String TYPE_PROPERTY

See Also:
  - Constant Field Values

### PRECISION_PROPERTY

static final String PRECISION_PROPERTY

See Also:
  - Constant Field Values

### SCALE_PROPERTY

static final String SCALE_PROPERTY

See Also:
  - Constant Field Values

### NOT_NULL_PROPERTY

static final String NOT_NULL_PROPERTY

See Also:
  - Constant Field Values

## Method Details

### getParent

IDBTableDelta getParent()

Specified by:
  `getParent` in interface `IDBDelta`
Specified by:
  `getParent` in interface `IDBElement`

### getSchemaElement

IDBField getSchemaElement(IDBSchema schema)

Specified by:
  `getSchemaElement` in interface `IDBDelta`